describe('Kontrola zobrazení studenů v kurzu', () => {

    afterEach(function () {
      // duration je vždy v milisekundách
      cy.log(`Trvání testu: ${this.currentTest.duration} ms`);
    });

    //Ověří, že učitel vidí studenty přihlášené do kurzu
    it('Test 2 - kontrola kurzu', () => {

        //Ověří, že se stránku podařilo načíst
        cy.visit('https://school.moodledemo.net/login/index.php')
        cy.contains('Log in to Mount Orange').should('be.visible')

        //Přihlásí se a zkontroluje správnost přihlášení
        cy.get('#username').type('teacher').blur()
                cy.wait(400)
                cy.get('#password').type('moodle25').blur()
        cy.get('#loginbtn').click()
        cy.contains('My courses').should('be.visible')

        //Přejde na jeden a kurz a zkontroluje, že byl kurz zobrazen
        cy.contains('.visually-hidden', 'Course name').click({ force: true })
        cy.url().should('include', '/course/view')
        cy.get('.page-header-headings').should('be.visible')

        //Kontrola, že je v kurzu aspoň jeden student
        cy.get('[data-key="participants"]').click()
        cy.get('[id*="user-index-participants-"][id$="_r0"]')
    })

})